#include <iostream>
#include <cstdlib>

using namespace std ;

class Person
{
private:
	string vname, name;
	int alter;

public:
	void einlesen();
	void vergleiche(Person);
};

void Person::einlesen()
{
	cout << "Vorname : ";
	cin >> vname ;
	cout << "Name : ";
	cin >> name ;
	cout << "Alter : ";
	cin >> alter ;
}

void Person::vergleiche(Person p)
{
	if (alter > p.alter)
		cout << vname << " " << name << " ist der aeltere." << endl ;
	else
		cout << p.vname << " " << p.name << " koennte der aeltere sein." << endl ;
}

int main ( void )
{
	Person p1, p2 ;
	
	p1.einlesen();
	cout << endl ;
	p2.einlesen();
	
	p1.vergleiche(p2);
}
